﻿@model IEnumerable<ProjectUni.Models.Test>

@{
    ViewBag.Title = "TestQuiz";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}



<script src="~/Scripts/jquery-3.3.1.min.js"></script>

<div class="col-xs-12">
    <div class="box">
        <div class="box-body" style="background-color:rgba(0, 0, 0, 0.81);margin-top:20px;">
            <h2 style="color:white;padding:10px 0px 0px 10px;">TestQuiz</h2>
            <div id="minRemainingdiv" style="color:white;display:none;"> Time Remaining : <span id="minRemaining"></span>:<span id="secRemaining"></span></div>

            <div id="TestInstructions">
<pre style="font-family:Arial;font-size:large">
                <span class="text-primary">Test Instruction:</span>
        Test Completion Time: <span id="ToQ"></span>
        Number of Test Questions: <span id="NoQ"></span>
        Question Marks: <span>5</span>
                <span class="text-info">You can start test by clicking Next.</span>
</pre>

            </div>
            <div id="testques" style="color:white;" class="table table-bordered">

                <h3 id="quest" style="margin-left:10px;">Q: </h3>
                <br />
                <input type="radio" name="Choice" value="1" style="margin-left:10px;"><span id="choice1"></span> <br /><hr />
                <input type="radio" name="Choice" value="2" style="margin-left:10px;"><span id="choice2"></span> <br /><hr />
                <input type="radio" name="Choice" value="3" style="margin-left:10px;"><span id="choice3"></span> <br /><hr />
                <input type="radio" name="Choice" value="4" style="margin-left:10px;"><span id="choice4"></span> <br /> <br />
            </div>
            <br />
            <button id="show" class="btn btn-primary text-center" style="font-size:large;margin-left:10px;">Next</button>

            <ul id="myul" style="visibility:hidden;">
                @foreach (var item in Model)
        {
            <li>@item.QuesId</li>
}
            </ul>

        </div>
    </div>
</div>

<script>
    $("#testques").hide();

    $(document).ready(function () {

        var NoOfQues = $('#myul').children().length;
        var QuestionArray = [];
        var Index = 0;
        var timecounter = 0;
        

        function formatNumber(number) {
            if (number < 10) return '0' + number;
            else return '' + number;
        }
        //Timer Starts from here
        var remSeconds = NoOfQues * 15;
        var secondsCounter = remSeconds % 60;
        $("#ToQ").html(remSeconds + " Seconds");
        $("#NoQ").html(NoOfQues);
        function StartTick() {
            timecounter++;
            document.getElementById('secRemaining').innerText = formatNumber(secondsCounter);
            document.getElementById('minRemaining').innerText = formatNumber(parseInt(remSeconds / 60));

            var _tick = setInterval(function () {
                if (remSeconds > 0) {
                    remSeconds = remSeconds - 1;
                    secondsCounter = secondsCounter - 1;
                    document.getElementById('secRemaining').innerText = formatNumber(secondsCounter);
                    document.getElementById('minRemaining').innerText = formatNumber(parseInt(remSeconds / 60));

                    if (secondsCounter == 0)
                        secondsCounter = 60;
                }
                else {
                    alert('Your Exam expired');
                    clearInterval(_tick);
                    EndTest();
                }
            }, 1000);
        }
        //timer ends
        
        for (i = 0; i < NoOfQues; i++) {
            QuestionArray.push($("#myul").children().eq(i).text());
        }
        var UserEmail = "@Session["Email"]";
        var T_ID = 0;
        var CorrectAns = 0;
        var correctcho = 0;
        var optselected = "";

        $('input[type=radio][name=Choice]').change(function () {
             optselected = this.value;
        });

        $("#show").click(function () {
            $("#TestInstructions").hide();
            $("#testques").show();
            $("#minRemainingdiv").show();

            $.ajax({
                type: 'GET',
                url: "/Users/Getques",
                datatype: JSON,
                data: { qid: QuestionArray[Index] },
                success: function (data) {
                    $("#MonthlyFee").text(data.QuesId);
                    $("#quest").text("Q: " + data.QuesText);
                    $("#choice1").text(" " + data.Choice1);
                    $("#choice2").text(" " + data.Choice2);
                    $("#choice3").text(" " + data.Choice3);
                    $("#choice4").text(" " + data.Choice4);
                    correctcho = data.CorrectChoice;
                    T_ID = data.T_ID;
                },
                error: function (data) { }
            });
            if (timecounter == 0) {
                StartTick();
            }
            if (optselected != "") {
                if (optselected == correctcho) {
                    CorrectAns++;
                }
            }
            if (NoOfQues == Index) {
                $("#testques").hide();
                EndTest();
            }

            Index++;
            $('input[type=radio][name=Choice]').prop('checked', false);
        });

        function EndTest() {
            $.ajax({
                type: 'GET',
                url: "/Results/Create",
                datatype: JSON,
                data:
                    {
                        qid: QuestionArray[Index],
                        UserEmail: UserEmail,
                        T_ID: T_ID,
                        TotalQues: NoOfQues,
                        CorrectAns: CorrectAns,
                    },
                success: function (data) {


                    location.assign("http://localhost:55213/Results/CustomDetails");
                    window.location.href;
                },
                error: function (data) { }
            });
        }
    });
</script>